const weighted = (arr, weightArr) => {
    // caller should ensure that arr.length === weightArr.length, and weightArr should be Array [positive number]
    let maxWeight = 0;
    weightArr.forEach(val => maxWeight += val);
    const selected = Math.random() * maxWeight;
    let now = 0;
    for (let i = 0; i < weightArr.length; ++i) {
        if (now + weightArr[i] <= selected) {
            now += weightArr[i];
        } else {
            return arr[i];
        }
    }
};