const npmURL = ((metaURL) => {
    const position = metaURL.indexOf('@');
    if (position !== -1) {
        return new URL('./', metaURL.substr(0, position)).href;
    } else {
        console.warn(`Missing version tag in the URL ${metaURL}`);
        return 'https://cdn.jsdelivr.net/npm/';
    }
})(import.meta.url);

export const listURL = [
    "4a0ca042@0.0.1/loadBackground/imageList.json",
    "4a0ca042@0.0.2/loadBackground/imageList.json",
    "4a0ca042@0.0.3/loadBackground/imageList.json",
    "4a0ca042@0.0.4/loadBackground/imageList.json",
    "4a0ca042@0.0.6/loadBackground/imageList.json",
    "4a0ca042@0.0.7/loadBackground/imageList.json",
    "4a0ca042@0.0.8/loadBackground/imageList.json",
    "4a0ca042@0.0.9/loadBackground/imageList.json",
    "4a0ca042@0.0.10/loadBackground/imageList.json",
    "4a0ca042@0.0.11/loadBackground/imageList.json",
    "4a0ca042@0.0.12/loadBackground/imageList.json",
    "4a0ca042@0.0.13/loadBackground/imageList.json",
    "4a0ca042@0.0.14/loadBackground/imageList.json",
    "4a0ca042@0.0.15/loadBackground/imageList.json",
    "4a0ca042@0.0.16/loadBackground/imageList.json",
    "4a0ca042@0.0.17/loadBackground/imageList.json",
    "4a0ca042@0.0.18/loadBackground/imageList.json",
    "4a0ca042@0.0.20/loadBackground/imageList.json",
    "4a0ca042@0.1.0/loadBackground/imageList.json",
    "4a0ca042@0.1.1/loadBackground/imageList.json",
    "4a0ca042@0.1.2/loadBackground/imageList.json",
    "4a0ca042@0.1.3/loadBackground/imageList.json",
    "4a0ca042@0.1.4/loadBackground/imageList.json",
    "4a0ca042@0.1.5/loadBackground/imageList.json",
    "4a0ca042@0.1.6/loadBackground/imageList.json",
    "4a0ca042@0.1.7/loadBackground/imageList.json",
    "4a0ca042@0.1.8/loadBackground/imageList.json",
    "4a0ca042@0.1.9/loadBackground/imageList.json",
    "4a0ca042@0.1.10/loadBackground/imageList.json",
    "4a0ca042@0.1.11/loadBackground/imageList.json",
    "4a0ca042@0.1.12/loadBackground/imageList.json",
    "4a0ca042@0.1.13/loadBackground/imageList.json",
    "4a0ca042@0.1.14/loadBackground/imageList.json",
    "4a0ca042@0.1.15/loadBackground/imageList.json",
    "4a0ca042@0.1.16/loadBackground/imageList.json",
    "ispcdn@0.0.0-fix-0/imgList.json",
    "ispcdn@0.0.1/imgList.json",
    "ispcdn@0.0.2/imgList.json",
    "ispcdn@0.0.3/imgList.json",
    "ispcdn@0.0.4/imgList.json",
    "ispcdn@0.0.5/imgList.json",
    "ispcdn@0.0.6/imgList.json",
    "ispcdn@0.0.7/imgList.json",
    "ispcdn@0.0.8/imgList.json",
    "ispcdn@0.0.9/imgList.json",
    "ispcdn@0.0.10/imgList.json",
    "ispcdn@0.0.11/imgList.json",
    "ispcdn@0.0.12-fix-1/imgList.json",
    "ispcdn@0.0.13/imgList.json",
    "ispcdn@0.0.14/imgList.json",
    "ispcdn@0.0.15/imgList.json",
    "ispcdn@0.0.16/imgList.json",
    "ispcdn@0.0.31/imgList.json",
    "ispcdn@0.1.0/imgList.json",
    "ispcdn@0.1.1/imgList.json",
    "ispcdn@0.1.2/imgList.json",
    "ispcdn@0.1.3/imgList.json",
    "ispcdn@0.1.7-fix-0/imgList.json",
    "ispcdn@0.1.8/imgList.json",
    "ispcdn@0.1.9/imgList.json",
    "ispcdn@0.1.10/imgList.json",
    "ispcdn@0.1.11-fix-0/imgList.json",
    "ispcdn@0.1.12/imgList.json",
    "ispcdn@0.1.13/imgList.json",
    "ispcdn@0.1.14/imgList.json",
    "ispcdn@0.1.15/imgList.json",
    "ispcdn@0.1.16/imgList.json",
    "ispcdn@0.1.17/imgList.json",
    "ispcdn@0.1.18/imgList.json",
    "ispcdn@0.1.19/imgList.json",
    "ispcdn@0.1.20/imgList.json",
    "ispcdn@0.1.21/imgList.json",
    "ispcdn@0.1.22/imgList.json",
    "ispcdn@0.1.23/imgList.json",
    "ispcdn@0.1.24/imgList.json",
    "ispcdn@0.1.26/imgList.json",
    "ispcdn@0.1.28/imgList.json",
    "ispcdn@0.1.29/imgList.json",
    "ispcdn@0.1.30/imgList.json",
    "ispcdn@0.1.31/imgList.json",
    "ispcdn@0.2.0/imgList.json",
    "ispcdn@0.2.1/imgList.json",
    "ispcdn@0.2.2/imgList.json",
    "ispcdn@0.2.6-fix-0/imgList.json"
].map(val => `${npmURL}${val}`);