(function (document) {
    function absoluteURL(relativeURL) {
        return new URL(relativeURL, document.currentScript.src).href;
    }
    function prefetchArray(array, contentType) {
        for (var i = 0; i < array.length; ++i) {
            var link = document.createElement('link');
            link.rel = 'prefetch';
            link.href = absoluteURL(array[i]);
            link.as = contentType;
            document.head.appendChild(link);
        }
    }
    prefetchArray([".\/analytics.js",".\/index.js",".\/loadImage.js",".\/analytics\/server.js",".\/jsdelivr\/getStats.js",".\/loadImage\/abortOnHidden.js",".\/loadImage\/cacheToLocal.js",".\/loadImage\/dev.js",".\/loadImage\/lib.js",".\/loadImage\/listResource.js",".\/loadImage\/listURL.js",".\/loadImage\/pinToCDN.js",".\/loadImage\/search.js",".\/loadImage\/toolBox.js",".\/loadImage\/withCache.js",".\/loadImage\/withoutCache.js"], 'script');
    prefetchArray([".\/loadImage\/style.css"], 'style');
    prefetchArray([], 'image');
})(document);